SUMO
Simulation of Urban MObility

- Home
- Download
- Documentation
- Wiki
- Trac
- Blog
- Contact
- SF-Project

# ACTIVITYGEN

# From 30.000 feet

ACTIVITYGEN reads the definition of a population matching an also given network. It computes and mobility wishes for this population.

  Purpose: Demand generation for a synthetic population
  System: portable (Linux/Windows is tested); runs on command line
  Input (mandatory):
    A) a road network as generated via NETCONVERT or NETGENERATE, see Building Networks
    B) a population definition, see Activity-based Demand Generation
  Output: Definition of Vehicles, Vehicle Types, and Routes usable by SUMO
  Programming Language: C++

# Usage Description

## Options

You may use a XML schema definition file for setting up a ACTIVITYGEN configuration: activitygenConfiguration.xsd.

### Configuration

All applications of the SUMO-suite handle configuration options the same way. These options are discussed at Basics/Using the Command Line Applications#Configuration Files.

Option | Description
--- | ---
-c <FILE> --configuration-file <FILE> | Loads the named config on startup
--save-configuration <FILE> | Saves current configuration into FILE
--save-template <FILE> | Saves a configuration template (empty) into FILE
--save-schema <FILE> | Saves the configuration schema into FILE
--save-commented | Adds comments to saved template, configuration, or schema; default: false

### Input

Option | Description
--- | ---
-n <FILE> --net-file <FILE> | Use FILE as SUMO-network to route on
-s <FILE> --stat-file <FILE> | Loads the SUMO-statistics FILE

### Output

Option | Description
--- | ---
-o <FILE> --output-file <FILE> | Write generated routes to FILE

### Processing

Option | Description
--- | ---
--weights.interpolate | Interpolate edge weights at interval boundaries; default: false
--weights.expand | Expand weights behind the simulation's end; default: false

### Time

Option | Description
--- | ---
-b <INT> --begin <INT> | Sets the time of beginning of the simulation during the first day (in seconds)
-e <INT> --end <INT> | Sets the time of ending of the simulation during the last day (in seconds)
--duration-d <INT> | Sets the duration of the simulation in days

### Report

All applications of the SUMO-suite handle most of the reporting options the same way. These options are discussed at Basics/Using the Command Line Applications#Reporting Options.

Option | Description
--- | ---
-v --verbose | Switches to verbose output; default: false
-p --print-options | Prints option values before processing; default: false
-? --help | Prints this screen; default: false
-V --version | Prints the current version; default: false
-W --no-warnings | Disables output of warnings; default: false
-l <FILE> --log <FILE> | Writes all messages to FILE
--message-log <FILE> | Writes all non-error messages to FILE
--error-log <FILE> | Writes all warnings and errors to FILE
--debug | Detailed messages about every single step; default: false

### Random Number

All applications of the SUMO-suite handle randomisation options the same way. These options are discussed at Basics/Using the Command Line Applications#Random Number Options.

Option | Description
--- | ---
--random | Initialises the random number generator with the current system time; default: false
--seed <INT> | Initialises the random number generator with the given value; default: 23423

This page was last modified on 15 March 2013, at 13:07.